Draft PolareAnordnung

From FreeCAD Documentation
Revision as of 16:37, 11 May 2020 by Maker (talk | contribs) (Created page with "Zum Positionieren von Kopien in einem rechteckigen Raster verwende Array; zum Positionieren in einem kreisförmigen Muster verwende Draft_CircularArray/de|Kr...")

Draft PolarAnordnung

Menüeintrag
Entwurf → Polare Anordnung
Arbeitsbereich
Entwurf
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
Anordnung, KreisAnordnung, PfadAnordnung, Punkt Anordnung, Klonen

Beschreibung

Das Entwurf PolarAnordnung Werkzeug erstellt eine Anordnung aus einem ausgewählten Objekt und platziert die Kopien entlang eines Umfangs.

Dieses Werkzeug kann für 2D Formen verwendet werden, die mit dem Entwurf Arbeitsbereich erstellt wurden, aber auch für viele Arten von 3D Objekten, wie sie mit der Part Arbeitsbereich oder PartDesign Arbeitsbereich erstellt wurden.

Zum Positionieren von Kopien in einem rechteckigen Raster verwende Array; zum Positionieren in einem kreisförmigen Muster verwende KreisAnordnung; um Kopien entlang eines Pfades zu positionieren, verwende PfadAnordnung; um Kopien an bestimmten Punkten zu positionieren, verwende PunktAnordnung; um Kopien oder Klone zu erstellen und manuell zu platzieren, verwende Bewegen, Drehen und Klonen.

A polar array of an object.

Usage

  1. Select an object from which you wish to make the polar array.
  2. Press the Polar array button. If no object is selected, the task panel will open, but you still need to select an object to proceed.
  3. Choose the polar angle, which determines where the last element of the array will be.
  4. Choose the number of elements in the array. Minimum of 2, maximum of 99.
  5. Choose the center of the axis of rotation. You can click on the 3D view, to simultaneously set the position of the center of rotation, and complete the command.
  6. Optionally, check the fuse or link options.
  7. Press OK to complete the command.

Notes:

  • By default, the axis of rotation is the positive Z axis (0, 0, 1). This can be changed in the property editor after the object is created.
  • The polar angle is positive in the counter-clockwise direction, and negative in the clockwise direction.
  • Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.
  • This command creates the same object as the one created with the Array and CircularArray tools. Therefore, the array can be converted to orthogonal, polar, or circular just by changing its properties.

Options

  • Press Reset point to set the center of rotation to the origin (0, 0, 0).
  • If the Fuse checkbox is ticked, the resulting objects in the array will be fused into a single shape, if they touch or intersect each other.
  • If the Use Links checkbox is ticked, the resulting objects in the array will be App Links instead of simple copies. This improves the memory usage of the array, as the App Link re-uses the shape of the original object, and does not create new shapes. If this option is used, the Fuse checkbox has no effect.
  • Press Esc or the Cancel button to abort the current command.

Properties

An Array object is based on Part Feature (Part::Feature class), and thus shares all properties of the latter. In addition to the properties listed in Part Feature, the Array object has additional properties.

See the OrthoArray tool for the complete information.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using the following function.

array_list = make_polar_array(obj, center, angle, number, use_link)
  • Creates an array from the objects contained in obj, which can be a single object or a list of objects.
  • The value of center is a vector that defines the center of the array circle; angle is the angle of the arc in degrees, and number is the number of copies in the polar pattern, including the original object.
  • If use_link is true the created copies will be App Links and not regular copies.
  • array_list is returned with the new copies.
    • array_list is either a single object or a list of objects, depending on the input obj.

Example:

import FreeCAD as App
import Draft
import draftobjects.polararray as pa

doc = App.newDocument()

tri = Draft.makePolygon(3, 600)
center = App.Vector(-1600, 0, 0)
arr = pa.make_polar_array(tri, center, 270, 8)
App.ActiveDocument.recompute()